субота, 16 травня 2009 р.

Драйвери AMD/ATI 8.612

Я вже писав, що не вірю, у машину часу, але моя думка може змінитися ;).

Підготовка:

Перш за все, слід перейменувати безпечно старі модулі:

sudo mv /usr/src/fglrx.tar.bz2 /usr/src/fglrx.tar.bz2.8602
sudo mv /usr/src/modules/fglrx /usr/src/modules/fglrx.8602

Таке дивне розширення (8602) це версія попереднього драйверу. Поточна версія має порядковий номер 8.612

Отримати нову версію драйверів можна звідси, або ж виконавши в консолі наступну команду:
wget -c http://www2.ati.com/drivers/linux/ati-driver-installer-9-5-x86.x86_64.run
Тепер необхідно встановити права на виконання завантаженого файлу:
chmod 744 ati-driver-installer-9-5-x86.x86_64.run
та згенерувати пакунки для свого дистрибутиву:
sudo ./ati-driver-installer-9-5-x86.x86_64.run --buildpkg Debian/testing

В мене ця операція пройшла без жодних проблем.
Зазвичай я пакую їх до спеціальної теки, щоб потім мати можливість відкотитися на останню стабільну версію:
mkdir -p ati/8.612; mv fglrx*8.612* ati/8.612; cd ati/8.612

Якщо все пройшло успішно Ви повинні б опинитися у теці з драйверами. Запускаємо на встановлення драйвери:
sudo dpkg -i *.deb

І отримуємо готовий результат.

P.S. Дана версія драйверів все ще не сумісна з ядром 2.6.30-rc3
P.P.S. Як виявилося пізніше - версія 8.612 (або 9.5) має проблеми при роботі з відеокартою. Принаймні в мене іграшки, ті, що працювали на 9.4 - не запустилися (wine завершував роботу з помилками доступу до пам'яті), а поновлення версії wine до 1.1.22 не допомогло.

Висновок: Важко сказати, чим ця версія хороша. Можливо все-таки слід почекати до версії 9.6.

Немає коментарів: